<?php

/**
 * 批量删除
 */
$js = '';
if (IS_POST)
{
    $ids = $_POST['ids'];
    is_array($ids) or yun_error('至少选择一项');
    foreach ($ids as $id)
    {
        $id = abs(intval($id));
        $result = $db->query("select * from " . PF . "user where id='$id'");
        if (!$row = $db->fetch_array($result))
            continue;
        if (count($ids) == 1)
        {
            $user['id'] == $id && yun_error('无法删除自己');
        }
        if ($user['id'] == $id)
            continue;
        del_user($id);
        $js .= 'document.getElementById("us_' . $id . '").style.display="none";';
    }
    yun_succeed('删除成功', $js);
}
$id = abs(intval($_GET['id']));
$result = $db->query("select * from " . PF . "user where id='$id'");
if (!$row = $db->fetch_array($result))
    yun_error('用户不存在');
$user['id'] == $id && yun_error('无法删除自己');
del_user($id);
$js .= 'document.getElementById("us_' . $id . '").style.display="none";';
yun_succeed('删除成功', $js);

?>